LogFileManager (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.impl.LogFileManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal.impl
Class LogFileManager

    java.lang.Object
      org.codehaus.activemq.journal.impl.LogFileManager

public class LogFileManager
extends Object

The LogFileManager manages concurent access to a LogFile.

Version:
  $Revision: 1.7 $

Constructor Summary
`LogFileManager(byte fileManagerId, LongSequenceGenerator sequenceGenerator, File logDirectory)`
`LogFileManager(byte fileManagerId, LongSequenceGenerator sequenceGenerator, LogFile logFile)`

Method Summary
`void` | `close()`
`int` | `getInitialSegmentSize()`
`long` | `getLastSequenceId()`
`File` | `getLogDirectory()`
`RecordLocationImpl` | `getMark()`
`RecordLocationImpl` | `getNextRecordLocation(RecordLocationImpl lastLocation)`
`int` | `getTotalSegements()`
`byte[]` | `read(RecordLocationImpl location)`
`void` | `setJournalEventListener(JournalEventListener eventListener)`
`void` | `setMark(RecordLocationImpl recordLocator, boolean force)`
`RecordLocationImpl` | `write(byte[] data, boolean sync)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFileManager

    public LogFileManager(byte fileManagerId,
                          LongSequenceGenerator sequenceGenerator,
                          File logDirectory)
                   throws IOException

### LogFileManager

    public LogFileManager(byte fileManagerId,
                          LongSequenceGenerator sequenceGenerator,
                          LogFile logFile)

Method Detail

### write

    public RecordLocationImpl write(byte[] data,
                                    boolean sync)
                             throws IOException

  Throws:
    `IOException`

### setMark

    public void setMark(RecordLocationImpl recordLocator,
                        boolean force)
                 throws InvalidRecordLocationException,
                        InterruptedException,
                        IOException

  Parameters:
    `recordLocator` -
    `force` -
  Returns:
  Throws:
    `InvalidRecordLocationException`
    `IOException`
    `InterruptedException`

### getMark

    public RecordLocationImpl getMark()

  Returns:

### getNextRecordLocation

    public RecordLocationImpl getNextRecordLocation(RecordLocationImpl lastLocation)
                                             throws IOException,
                                                    InvalidRecordLocationException

  Parameters:
    `lastLocation` -
  Returns:
  Throws:
    `IOException`
    `InvalidRecordLocationException`

### read

    public byte[] read(RecordLocationImpl location)
                throws IOException,
                       InvalidRecordLocationException

  Parameters:
    `location` -
  Returns:
  Throws:
    `InvalidRecordLocationException`
    `IOException`

### setJournalEventListener

    public void setJournalEventListener(JournalEventListener eventListener)

  Parameters:
    `eventListener` -

### close

    public void close()

  Throws:
    `InterruptedException`

### getLastSequenceId

    public long getLastSequenceId()

### getLogDirectory

    public File getLogDirectory()

  Returns:

### getTotalSegements

    public int getTotalSegements()

### getInitialSegmentSize

    public int getInitialSegmentSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.